Name:       aspectjweaver 
Version:    1.6.12
Release:    12%{?dist}
Summary:    Java byte-code weaving library
License:    EPL
URL:        http://eclipse.org/aspectj/

# wget -nd http://www.eclipse.org/downloads/download.php?file=/tools/aspectj/aspectj-1.6.12-src.jar
# jar xf aspectj-1.6.12-src.jar aspectjweaver1.6.12-src.jar
Source0:    aspectjweaver1.6.12-src.jar
# This build.xml file was adapted from the Ubuntu package. The src jar has no build scripts.
Source1:    aspectjweaver-build.xml
Source2:    http://repo1.maven.org/maven2/org/aspectj/aspectjweaver/1.6.12/aspectjweaver-1.6.12.pom
Patch0:     aspectjweaver-build-fixes.patch

BuildRequires:   java-devel
BuildRequires:   jpackage-utils
BuildRequires:   ant
BuildRequires:   objectweb-asm3
BuildRequires:   apache-commons-logging
Requires:        java-headless
Requires:        objectweb-asm3
BuildArch:       noarch

%description
The AspectJ Weaver supports byte-code weaving for aspect-oriented
programming (AOP) in java.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{summary}.


%prep
%setup -q -c
%patch0 -p1
cp %{SOURCE1} build.xml
# JRockit is not open source, so we cannot build against it
rm org/aspectj/weaver/loadtime/JRockitAgent.java

%build
LANG=en_US.ISO8859-1 CLASSPATH=$( build-classpath objectweb-asm3/asm commons-logging ) ant
ant javadoc

%install
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadir}
install -m 0644 build/%{name}.jar ${RPM_BUILD_ROOT}/%{_javadir}/%{name}.jar

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_mavenpomdir}
install -pm 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_mavenpomdir}/JPP-%{name}.pom

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadocdir}
cp -rp javadoc ${RPM_BUILD_ROOT}/%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "org.aspectj:aspectjrt,aspectj:aspectjrt"

%files -f .mfiles

%files javadoc
%{_javadocdir}/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.12-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.12-11
- Use Requires: java-headless rebuild (#1067528)

* Mon Mar 24 2014 Michal Srb <msrb@redhat.com> - 1.6.12-10
- Add alias aspectj:aspectjrt

* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 1.6.12-9
- use objectweb-asm3

* Tue Oct 15 2013 Michal Srb <msrb@redhat.com> - 1.6.12-8
- Add alias org.aspectj:aspectjr

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> 1.6.12-4
- Add better comments, reference POM source URL

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> 1.6.12-3
- add commons-logging buildreq

* Tue Feb 14 2012 Andy Grimm <agrimm@gmail.com> 1.6.12-2
- Add javadoc
- Fix description

* Tue Dec 20 2011 Andy Grimm <agrimm@gmail.com> 1.6.12-1
- Initial Package
